﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

using Quartz;
using Quartz.Core;

namespace TopshelfStudy.NetCoreDemo
{
    public class JobDemo : IJob
    {
        public async Task Execute(IJobExecutionContext context)
        {
            //模拟业务操作
            string jobName = "测试作业";
            Console.WriteLine($"{jobName} 开始执行");
            Console.WriteLine($"{jobName} 执行中...");
            await Task.Delay(0*1000);
            Console.WriteLine($"{jobName} 执行完毕.");
        }
    }
}
